logdir /usr/local/squidGuard/log
dbhome /usr/local/squidGuard/db

time leisure-time {
    weekly * 00:00-08:00 17:00-24:00	# night and evening
    weekly fridays 16:00-17:00		# weekend
    weekly saturdays sundays		# weekend
    date   *.01.01			# New Year's Day
    date   *.05.01			# Labour Day
    date   *.05.17			# National Day
    date   *.12.24 12:00-24:00		# Christmas Eve
    date   *.12.25			# Christmas Day
    date   *.12.26			# Boxing Day
    date   1999.03.31 12:00.24:00	# Ash Wednesday
    date   1999.04.01-1999.04.05	# Easter
    date   1999.05.13 1999.05.24	# Ascension Day and Whitsun
    date   2000.04.19 12:00.24:00	# Ash Wednesday y2000
    date   2000.04.20-2000.04.24	# Easter y2000
    date   2000.06.01 2000.06.12	# Ascension Day and Whitsun y2000
}

src grownups {
    ip	   10.0.0.0/24			# range 10.0.0.0  - 10.0.0.255
					# AND
    user   foo bar			# ident foo or bar
}

src kids {
    ip	   10.0.0.0/22			# range 10.0.0.0 - 10.0.3.255
}

dest porn {
    domainlist	   porn/domains		# file listing domains	(clear text)
    urllist	   porn/urls		# file listing URLs	(clear text)
    expressionlist porn/expressions	# file with expressions (clear text regex)
    redirect	   302:http://info.foo.bar/images/blocked.gif
					# redirect matches to this URL
    log anonymous  porn.log		# log redirects anonymized to logdir/porn.log
}

acl {
    grownups within leisure-time {
	pass all			# don't censor peoples leisure-time
    } else {
	pass !in-addr !porn all		# restrict access during business hours
    }

    kids {
	pass !porn all			# protect the kids 24h anyway
    }

    default {
	pass none			# reject unknown clients
	redirect http://info.foo.bar/cgi/blocked?clientaddr=%a&clientname=%n&clientuser=%i&clientgroup=%s&targetgroup=%t&url=%u
    }
}
